
From: "John W. Linville" <linville@tuxdriver.com>

Only increment rx_dropped in case of lack of resources (i.e. not for
frames with errors).

Signed-off-by: John W. Linville <linville@tuxdriver.com>
Signed-off-by: Andrew Morton <akpm@osdl.org>
---

 drivers/net/3c59x.c |    2 +-
 1 files changed, 1 insertion(+), 1 deletion(-)

diff -puN drivers/net/3c59x.c~3c59x-correct-rx_dropped-counting drivers/net/3c59x.c
--- 25/drivers/net/3c59x.c~3c59x-correct-rx_dropped-counting	Mon Sep 12 15:34:14 2005
+++ 25-akpm/drivers/net/3c59x.c	Mon Sep 12 15:34:14 2005
@@ -2609,8 +2609,8 @@ static int vortex_rx(struct net_device *
 			} else if (vortex_debug > 0)
 				printk(KERN_NOTICE "%s: No memory to allocate a sk_buff of "
 					   "size %d.\n", dev->name, pkt_len);
+			vp->stats.rx_dropped++;
 		}
-		vp->stats.rx_dropped++;
 		issue_and_wait(dev, RxDiscard);
 	}
 
_
